Subject: Re: bug#2790: emacs 22.1.1 cannot open 5GB file on 64GB 64-bit Linux

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Mar 2009 23:08:46 -0400

>>  These bugs shouldn't be too hard to fix, but even with my 4GB
>> machine, opening such large files is really painful, which makes it
>> difficult to debug.
> I understand.  Part of the reason I'm reporting this is that have easy
> access to a somewhat unusually large machine.  I don't know much of
> anything about debugging emacs per se (as opposed to any random GNU C
> program), but if I can get some hints, I'll try to do what I can.

Most of those bugs get fixed over time as we work on other bugs in
nearby areas.  So there's no point debugging an old version of the code,
because there's a good chance that several of the bugs you're going to
hit have been fixed already.

I.e. first try it with the head the trunk of the CVS repository.
Then report here with the problems you encounter.

        Stefan